set OSGEO4W_ROOT=C:\OSGeo4W64
set P=freetype-vc-devel
set V=2.5.0
set B=1

set R=..\..\..\x86_64\release\%P%
if not exist %R% mkdir %R%

set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf=%ProgramFiles%
call "%pf%\Microsoft Visual Studio 10.0\VC\vcvarsall.bat" x64
echo on
path %pf%\Microsoft Visual Studio 10.0\Common7\IDE;%PATH%

set JAM_TOOLSET=VISUALC

cd ..
osgeo4w\jam
if errorlevel 1 (echo build error ^ goto error)

cd osgeo4w

copy vc.hint %R%\setup.hint
copy ..\docs\LICENSE.TXT %R%\%P%-%V%-%B%.txt

rmdir /s /q install
mkdir install\lib
mkdir install\include\freetype\config-vc
copy ..\objs\freetype.lib install\lib
copy ft2build.h install\include\ft2build.h
copy ..\include\freetype\config\* install\include\freetype\config-vc
copy ftheader.h install\include\freetype\config-vc\ftheader.h

tar -C install -cjf %R%\%P%-%V%-%B%.tar.bz2 lib include
tar -C .. -cjf %R%\%P%-%V%-%B%-src.tar.bz2 osgeo4w/package64.cmd osgeo4w/vc.hint osgeo4w/ft2build.h osgeo4w/ftheader.h osgeo4w/jam.exe

:error
